V1PartnerTenantsTenantidGet live
Merchant owner: the Get live checklist, voucher counts and results so far
Profile, branches and listing status, vouchers live / in review / changes requested / draft / ended, whether a booth scanner link exists, and claims, redemptions and unused counts with redemptions by branch. Counts only: no member names, ids or health data. nextStep is the one thing to do next.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/get-live"{ "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", "merchantName": "string", "profile": { "done": true, "hasDescription": true, "hasPhone": true, "hasOpeningHours": true }, "branches": { "count": 0, "names": [ "string" ] }, "listing": { "status": "none", "version": 0, "published": true, "publishedBranchCount": 0, "submittedAt": "2019-08-24T14:15:22Z", "reviewedAt": "2019-08-24T14:15:22Z", "reviewNote": "string" }, "vouchers": { "live": 0, "inReview": 0, "changesRequested": 0, "draft": 0, "ended": 0, "total": 0 }, "scanner": { "exists": true, "activeLinks": 0 }, "results": { "claimed": 0, "redeemed": 0, "unused": 0, "held": 0, "byBranch": [ { "outletId": "414ee52f-b8bb-444c-8e1a-824bf463e887", "name": "string", "redeemed": 0 } ], "redeemedWithoutBranch": 0 }, "nextStep": "profile"}